#include <iostream>
using namespace std;

int main() 
{
	int pgol1, pgol2, sgol1, sgol2;
	cin >> sgol1 >> sgol2;
	cin >> pgol1 >> pgol2;

	if (pgol1 == sgol1 && pgol2 == sgol2) return printf("nijedan");
	if (pgol1 != sgol1 && pgol2 == sgol2) return printf("prvi");
	if (pgol1 == sgol1 && pgol2 != sgol2) return printf("drugi");
	if (pgol1 != sgol1 && pgol2 != sgol2) return printf("?");
}